Index: branches/terrain/src/story_entities/game_world.cc
===================================================================
--- branches/terrain/src/story_entities/game_world.cc	(revision 8295)
+++ branches/terrain/src/story_entities/game_world.cc	(revision 8328)
@@ -30,7 +30,6 @@
 #include "camera.h"
 #include "environment.h"
-#include "terrain.h"
 #include "test_entity.h"
-#include "terrain.h"
+#include "terrain_entity.h"
 #include "playable.h"
 #include "environments/mapped_water.h"
Index: branches/terrain/src/story_entities/game_world_data.cc
===================================================================
--- branches/terrain/src/story_entities/game_world_data.cc	(revision 8295)
+++ branches/terrain/src/story_entities/game_world_data.cc	(revision 8328)
@@ -31,5 +31,5 @@
 #include "player.h"
 #include "camera.h"
-#include "terrain.h"
+#include "terrain_entity.h"
 #include "skybox.h"
 #include "md2Model.h"
@@ -199,5 +199,5 @@
       BaseObject* created = Factory::fabricate(element);
       if( created != NULL )
-        PRINTF(4)("Created a %s: %s\n", created->getClassName(), created->getName());
+        PRINTF(2)("Created a %s: %s\n", created->getClassName(), created->getName());
 
       //todo do this more elegant
@@ -207,7 +207,8 @@
         State::setSkyBox(dynamic_cast<SkyBox*>(this->sky));
       }
+		
       if( element->Value() == "Terrain" && created->isA(CL_TERRAIN))
       {
-        this->terrain = dynamic_cast<Terrain*>(created);
+        this->terrain = dynamic_cast<TerrainEntity*>(created);
         CDEngine::getInstance()->setTerrain(terrain);
       }
Index: branches/terrain/src/story_entities/game_world_data.h
===================================================================
--- branches/terrain/src/story_entities/game_world_data.h	(revision 8295)
+++ branches/terrain/src/story_entities/game_world_data.h	(revision 8328)
@@ -14,5 +14,5 @@
 class Camera;
 class Player;
-class Terrain;
+class TerrainEntity;
 class WorldEntity;
 
@@ -57,5 +57,5 @@
     Player*                       localPlayer;    //!< The player, you fly through the level.
     WorldEntity*                  sky;            //!< The environmental sky of orxonox
-    Terrain*                      terrain;        //!< The terrain - ground
+    TerrainEntity*                terrain;        //!< The terrain - ground
 
     OrxSound::OggPlayer*          music;          //!< Reference to the SoundEngine's music player (OggPlayer)
Index: branches/terrain/src/story_entities/multi_player_world_data.cc
===================================================================
--- branches/terrain/src/story_entities/multi_player_world_data.cc	(revision 8295)
+++ branches/terrain/src/story_entities/multi_player_world_data.cc	(revision 8328)
@@ -31,7 +31,6 @@
 #include "camera.h"
 #include "environment.h"
-#include "terrain.h"
+#include "terrain_entity.h"
 #include "test_entity.h"
-#include "terrain.h"
 #include "md2Model.h"
 #include "world_entities/projectiles/projectile.h"
@@ -157,5 +156,5 @@
         if( element->Value() != NULL && !strcmp( element->Value(), "Terrain"))
         {
-          this->terrain = dynamic_cast<Terrain*>(created);
+          this->terrain = dynamic_cast<TerrainEntity*>(created);
           CDEngine::getInstance()->setTerrain(terrain);
         }
@@ -188,5 +187,5 @@
           if( element->Value() != NULL && !strcmp( element->Value(), "Terrain"))
           {
-            this->terrain = dynamic_cast<Terrain*>(created);
+            this->terrain = dynamic_cast<TerrainEntity*>(created);
             CDEngine::getInstance()->setTerrain(terrain);
           }
Index: branches/terrain/src/story_entities/simple_game_menu.cc
===================================================================
--- branches/terrain/src/story_entities/simple_game_menu.cc	(revision 8295)
+++ branches/terrain/src/story_entities/simple_game_menu.cc	(revision 8328)
@@ -30,5 +30,5 @@
 #include "world_entity.h"
 #include "elements/image_entity.h"
-#include "terrain.h"
+#include "terrain_entity.h"
 #include "camera.h"
 
